import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { Text, TouchableOpacity, } from "react-native";
import { BUTTON_HEIGHT } from "../sizes";
import colors from "../colors";
const Button = ({ children, loading, style, textStyle, disabled, isCustomChildren, loadingSize, loadingBlack = false, ...props }) => {
    return (_jsx(TouchableOpacity, { ...props, disabled: disabled, activeOpacity: 0.9, style: [
            {
                alignItems: "center",
                justifyContent: "center",
                backgroundColor: disabled ? colors.GRAY_RIGHT : colors.GREEN,
                height: BUTTON_HEIGHT,
                paddingHorizontal: 15,
                borderRadius: 5,
                position: "relative",
            },
            style,
        ], children: isCustomChildren ? (_jsx(_Fragment, { children: children })) : (_jsx(Text, { style: [
                {
                    color: "white",
                    opacity: loading ? 0 : 1,
                    fontSize: 16,
                },
                textStyle,
            ], children: children })) }));
};
export default Button;
