import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import colors from "../colors";
import { HEADER_HEIGHT, SIDE_PADDING } from "../sizes";
import { Image, View, TouchableWithoutFeedback, Text, } from "react-native";
const Header = ({ title, goBack, style, titleStyle, RightSideBtn }) => {
    const CHEVRON_ARROW_SIZE = 20;
    return (_jsxs(View, { style: [
            {
                flexDirection: "row",
                padding: SIDE_PADDING,
                height: HEADER_HEIGHT,
                alignItems: "center",
                justifyContent: "space-between",
                borderBottomWidth: 1,
                borderBottomColor: colors.GRAY_RIGHT,
                zIndex: 1,
                backgroundColor: colors.WHITE,
                width: "100%",
            },
            style,
        ], children: [goBack && (_jsx(TouchableWithoutFeedback, { onPress: () => {
                    goBack();
                }, children: _jsx(Image, { style: { width: CHEVRON_ARROW_SIZE, height: CHEVRON_ARROW_SIZE }, source: require("../assets/arrow-left.png"), resizeMode: "contain" }) })), _jsx(View, { style: {
                    flex: 1,
                    width: "100%",
                    alignItems: "center",
                    marginRight: CHEVRON_ARROW_SIZE / 2 + SIDE_PADDING,
                }, children: _jsx(Text, { style: [
                        { fontSize: 15, fontWeight: "600", color: colors.BLACK },
                        titleStyle,
                    ], children: title }) }), RightSideBtn && RightSideBtn] }));
};
export default Header;
