import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { View, SafeAreaView, Text, ScrollView } from "react-native";
import Button from "../Button";
import colors from "../colors";
import { SCREEN_HEIGHT, SIDE_PADDING } from "../sizes";
const BottomModalCard = ({ close, isNoCloseAfterPress, onPress, children, title, buttonText, buttonDisabled, leftButtonText, onLeftPress, loading, leftLoading, style, onLayout, isNoScrollView, isNoCloseButton, contentStyle, removeVerticalMargin, }) => {
    function handlePress(value) {
        onPress(value);
        if (!isNoCloseAfterPress) {
            close();
        }
    }
    return (_jsxs(SafeAreaView, { style: [
            {
                width: "100%",
                backgroundColor: colors.WHITE,
                borderTopLeftRadius: 16,
                borderTopRightRadius: 16,
            },
            style,
        ], children: [title ? (_jsx(View, { style: {
                    flexDirection: "row",
                    alignItems: "center",
                    justifyContent: "space-between",
                    borderBottomWidth: 1,
                    borderBottomColor: colors.GRAY,
                    paddingHorizontal: SIDE_PADDING,
                    paddingVertical: SIDE_PADDING,
                }, children: _jsx(View, { children: _jsx(Text, { style: { fontSize: 15, color: "black", fontWeight: "700" }, numberOfLines: 1, children: title }) }) })) : null, _jsxs(View, { style: [{ padding: SIDE_PADDING }, contentStyle], onLayout: onLayout, children: [isNoScrollView ? (_jsx(_Fragment, { children: children })) : (_jsx(ScrollView, { style: [
                            {
                                marginVertical: removeVerticalMargin ? 0 : SIDE_PADDING,
                                paddingHorizontal: 5,
                                maxHeight: SCREEN_HEIGHT * 0.5,
                            },
                        ], keyboardShouldPersistTaps: "handled", showsVerticalScrollIndicator: false, children: children })), _jsxs(View, { style: { flexDirection: "row", alignItems: "center" }, children: [leftButtonText ? (_jsx(Button, { onPress: onLeftPress, style: {
                                    flex: 1,
                                    marginRight: 10,
                                    backgroundColor: colors.WHITE,
                                    borderColor: "black",
                                    borderWidth: 1,
                                }, textStyle: { fontWeight: "700" }, loadingBlack: true, loading: leftLoading, children: leftButtonText })) : null, buttonText ? (_jsx(Button, { onPress: handlePress, disabled: buttonDisabled, loading: loading, textStyle: { fontWeight: "700" }, style: { flex: 1 }, children: buttonText })) : null] })] })] }));
};
export default BottomModalCard;
