import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState, useRef, useEffect } from "react";
import { View, TextInput, Text, } from "react-native";
import colors from "../colors";
import { Label } from "./Label";
import { INPUT_HEIGHT } from "../sizes";
const Input = ({ value, onChange, label, error, required, style, inputStyle, labelTextStyle, contentStyle, errorTextStyle, button, forceFocus, placeholder, description, descriptionTextStyles, ...props }) => {
    const [isFocus, setIsFocus] = useState(false);
    const inputRef = useRef();
    useEffect(() => {
        if (forceFocus) {
            setTimeout(() => {
                inputRef?.current?.focus();
            }, 300);
        }
    }, [forceFocus]);
    return (_jsxs(View, { children: [_jsx(Label, { label: label, required: required, textStyle: labelTextStyle }), _jsxs(View, { style: {
                    flexDirection: "row",
                    justifyContent: "space-between",
                }, children: [_jsx(View, { style: [
                            {
                                flex: 1,
                                flexDirection: "row",
                                alignItems: "center",
                            },
                            contentStyle,
                        ], children: _jsx(TextInput, { value: value, onChangeText: onChange, ref: inputRef, autoCapitalize: "none", underlineColorAndroid: "transparent", autoCorrect: false, placeholder: placeholder, placeholderTextColor: colors.PLACE_HOLDER, selectionColor: colors.BLUE, onFocus: () => setIsFocus(true), onBlur: () => setIsFocus(false), ...props, style: [
                                {
                                    flex: 1,
                                    paddingHorizontal: 10,
                                    borderWidth: 1,
                                    borderColor: colors.GRAY_RIGHT,
                                    height: INPUT_HEIGHT,
                                    borderRadius: 10,
                                    color: "black",
                                },
                                inputStyle,
                            ] }) }), button ? button : null] }), description && (_jsx(Text, { style: [
                    { color: colors.GRAY, marginTop: 6, fontSize: 12 },
                    descriptionTextStyles,
                ], children: description }))] }));
};
export default Input;
