/// <reference types="react" />
interface Props {
    label?: string;
    style?: {};
    inputStyle?: {};
    value: string | number;
    placeholder?: string;
    disabled?: boolean;
    options: {}[];
    onPress: (value: string) => void;
    required?: boolean;
    textStyle?: {};
    error?: string | undefined;
}
/**
 * Button Component
 * @props label {string} Select Input 상단 타이틀
 * @props style {object} 컨테이너 스타일
 * @props inputStyle {boolean} Select Input 스타일
 * @props value {string | number} Current value
 * @props placeholder {string}
 * @props disabled {boolean}
 * @props options {string[]} select 리스트
 * @props onPress {(value: string) => void} 클릭 이벤트
 * @props required {boolean} 필수일 경우 라벨 옆 *추가
 * @props textStyle {object} 텍스트 스타일
 * @props error {string | undefined} 에러메세지(하단에 에러 메세지 표시)
 */
declare const SelectInput: ({ label, style, value, placeholder, disabled, onPress, options, required, inputStyle, textStyle, error, }: Props) => JSX.Element;
export default SelectInput;
