import { Dimensions, Platform } from 'react-native';
import { getStatusBarHeight } from 'react-native-status-bar-height';
import { isIphoneX, getStatusBarHeight as getStatusBarHeightForX, getBottomSpace, } from 'react-native-iphone-x-helper';
export const SCREEN_WIDTH = Dimensions.get('window').width;
export const TAP_HEADER_HEIGHT = 68;
export const HEADER_HEIGHT = 70;
export const SCREEN_HEIGHT = Platform.OS === 'ios' && isIphoneX()
    ? Dimensions.get('window').height -
        getStatusBarHeightForX() -
        getBottomSpace()
    : Dimensions.get('window').height;
export const FULL_SCREEN_HEIGHT = Dimensions.get('window').height;
export const ABSOLUTE_TOP_ZERO = Platform.OS === 'ios'
    ? isIphoneX()
        ? getStatusBarHeightForX() + 18
        : getStatusBarHeight() + 8
    : 8;
export const ABSOLUTE_BOTTOM_ZERO = Platform.OS === 'ios' && isIphoneX() ? getBottomSpace() : 0;
// 네비게이션 탭바 높이
export const BOTTOM_TAB_HEIGHT = Platform.OS === 'ios' && isIphoneX() ? 60 + getBottomSpace() - 10 : 70;
export const BOTTOM_TAB_PADDING_BOTTOM = 10;
export const TAP_SCREEN_HEIGHT = Platform.OS === 'ios' && isIphoneX()
    ? Dimensions.get('window').height - BOTTOM_TAB_HEIGHT
    : Dimensions.get('window').height - BOTTOM_TAB_HEIGHT;
//텍스트 인풋 높이
export const INPUT_HEIGHT = 50;
//버튼 길이
export const BUTTON_WIDTH = SCREEN_WIDTH * 0.9;
//버튼 높이
export const BUTTON_HEIGHT = 55;
export const SELECT_HEIGHT = 50;
//양 사이드 Padding
export const SIDE_PADDING = 20;
